Bug 147296 - ppc64 libgcc.a has RWE PT_GNU_STACK marking
Summary: ppc64 libgcc.a has RWE PT_GNU_STACK marking
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: binutils   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Brian Stein
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-06 17:46 UTC by Brian Stein
Modified: 2013-03-01 05:14 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-259
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 10:59:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:259 normal SHIPPED_LIVE binutils bug fix update 2005-06-09 04:00:00 UTC

Description Arjan van de Ven 2005-02-06 17:46:34 UTC
Description of problem:
RHEL4 libgcc.a on ppc64 has a RWE PT_GNU_STACK marking, this results
in the entire distro to run with executable stack markings on ppc64.

Comment 1 Jakub Jelinek 2005-02-09 15:04:45 UTC
This sounds like binutils bug.  On ppc64:
echo '.section .note.GNU-stack,"",@progbits' | as -o a.o -
echo '.section .note.GNU-stack,"",@progbits' | as -o b.o -
ld -r -o c.o [ab].o
readelf -WS [abc].o | grep .note.GNU-stack
  [ 4] .note.GNU-stack   PROGBITS        0000000000000000 000040 000000 00      0
  0  1
  [ 4] .note.GNU-stack   PROGBITS        0000000000000000 000040 000000 00      0
  0  1
  [ 4] .note.GNU-stack   PROGBITS        0000000000000000 000040 000000 00   X  0
  0  1

while on e.g. x86_64 all 3 of them are non-X.

Comment 3 Jakub Jelinek 2005-02-13 16:38:57 UTC
Fixed for FC4 in binutils-2.15.94.0.2-1.

Comment 5 Tim Powers 2005-06-09 10:59:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-259.html



Note You need to log in before you can comment on or make changes to this bug.